Bug 986187 - RHEL7 ipa-replica-install ipa.service failed to start pki-tomcat service
RHEL7 ipa-replica-install ipa.service failed to start pki-tomcat service
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On: 983131
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 03:47 EDT by Martin Kosek
Modified: 2014-06-17 20:10 EDT (History)
6 users (show)

See Also:
Fixed In Version: ipa-3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 983131
Environment:
Last Closed: 2014-06-13 05:38:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Martin Kosek 2013-07-19 03:52:04 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3804
Comment 4 Martin Kosek 2013-09-02 11:10:45 EDT
(In reply to Petr Viktorin from comment #3)
> Not pushed to the 3.2 branch yet.

Moving to POST as a patch based on ipa-3-3 branch is enough for RHEL-7.0.
Comment 6 Scott Poore 2013-09-03 11:40:31 EDT
Verified.

Version ::

ipa-server-3.3.1-1.el7.x86_64

Notes ::

This was a timing related issue and I have not seen this again.  Tested with new RPMs looked good.

Automated Test Results ::

:: [ 10:58:48 ] ::  RUN ipa-replica-install
Check connection from replica to remote master 'tigger.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

The following list of ports use UDP protocol and would need to be
checked manually:
   Kerberos KDC: UDP (88): SKIPPED
   Kerberos Kpasswd: UDP (464): SKIPPED

Connection from replica to master is OK.
Start listening on required ports for remote master check
Get credentials to log in to remote master
Check SSH connection to remote master
Execute check on remote master
Check connection from master to remote replica 'qe-blade-14.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos KDC: UDP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   Kerberos Kpasswd: UDP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

Connection from master to replica is OK.

WARNING: conflicting time&date synchronization service 'chronyd' will
be disabled in favor of ntpd

Run connection check to master
Connection check OK
Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 1 minute
  [1/33]: creating directory server user
  [2/33]: creating directory server instance
  [3/33]: adding default schema
  [4/33]: enabling memberof plugin
  [5/33]: enabling winsync plugin
  [6/33]: configuring replication version plugin
  [7/33]: enabling IPA enrollment plugin
  [8/33]: enabling ldapi
  [9/33]: configuring uniqueness plugin
  [10/33]: configuring uuid plugin
  [11/33]: configuring modrdn plugin
  [12/33]: configuring DNS plugin
  [13/33]: enabling entryUSN plugin
  [14/33]: configuring lockout plugin
  [15/33]: creating indices
  [16/33]: enabling referential integrity plugin
  [17/33]: configuring ssl for ds instance
  [18/33]: configuring certmap.conf
  [19/33]: configure autobind for root
  [20/33]: configure new location for managed entries
  [21/33]: configure dirsrv ccache
  [22/33]: enable SASL mapping fallback
  [23/33]: restarting directory server
  [24/33]: setting up initial replication
Starting replication, please wait until this has completed.

Update in progress, 1 seconds elapsed
Update in progress, 2 seconds elapsed
Update in progress, 3 seconds elapsed
Update in progress, 4 seconds elapsed
Update in progress, 5 seconds elapsed
Update in progress, 6 seconds elapsed
Update in progress, 7 seconds elapsed
Update in progress, 8 seconds elapsed
Update in progress, 9 seconds elapsed
Update succeeded

  [25/33]: setting Auto Member configuration
  [26/33]: enabling S4U2Proxy delegation
  [27/33]: initializing group membership
  [28/33]: adding master entry
  [29/33]: configuring Posix uid/gid generation
  [30/33]: adding replication acis
  [31/33]: enabling compatibility plugin
  [32/33]: tuning directory server
  [33/33]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
  [3/19]: stopping certificate server instance to update CS.cfg
  [4/19]: disabling nonces
  [5/19]: set up CRL publishing
  [6/19]: starting certificate server instance
  [7/19]: creating RA agent certificate database
  [8/19]: importing CA chain to RA certificate database
  [9/19]: fixing RA database permissions
  [10/19]: setting up signing cert profile
  [11/19]: set certificate subject base
  [12/19]: enabling Subject Key Identifier
  [13/19]: enabling CRL and OCSP extensions for certificates
  [14/19]: setting audit signing renewal to 2 years
  [15/19]: configuring certificate server to start on boot
  [16/19]: configure certmonger for renewals
  [17/19]: configure clone certificate renewals
  [18/19]: configure Server-Cert certificate renewal
  [19/19]: Configure HTTP to proxy connections
Done configuring certificate server (pki-tomcatd).
Restarting the directory and certificate servers
Configuring Kerberos KDC (krb5kdc): Estimated time 30 seconds
  [1/9]: adding sasl mappings to the directory
  [2/9]: writing stash file from DS
  [3/9]: configuring KDC
  [4/9]: creating a keytab for the directory
  [5/9]: creating a keytab for the machine
  [6/9]: adding the password extension to the directory
  [7/9]: enable GSSAPI for replication
  [8/9]: starting the KDC
  [9/9]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
Done configuring ipa_memcached.
Configuring the web interface (httpd): Estimated time 1 minute
  [1/14]: disabling mod_ssl in httpd
  [2/14]: setting mod_nss port to 443
  [3/14]: setting mod_nss password file
  [4/14]: enabling mod_nss renegotiate
  [5/14]: adding URL rewriting rules
  [6/14]: configuring httpd
  [7/14]: setting up ssl
  [8/14]: publish CA cert
  [9/14]: creating a keytab for httpd
  [10/14]: clean up any existing httpd ccache
  [11/14]: configuring SELinux for httpd
  [12/14]: configure httpd ccache
  [13/14]: restarting httpd
  [14/14]: configuring httpd to start on boot
Done configuring the web interface (httpd).
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Applying LDAP updates

MARK-LWD-LOOP -- 2013-09-03 11:02:26 --
Restarting the directory server
Restarting the KDC
Using reverse zone 76.16.10.in-addr.arpa.
Configuring DNS (named)
  [1/9]: adding NS record to the zone
  [2/9]: setting up reverse zone
  [3/9]: setting up our own record
  [4/9]: setting up CA record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
Done configuring DNS (named).

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
:: [   PASS   ] :: Running ' /usr/sbin/ipa-replica-install -U --setup-ca --setup-dns --forwarder=10.11.5.19 -w Secret123 -p Secret123 /opt/rhqa_ipa/replica-info-qe-blade-14.testrelm.com.gpg' (Expected 0, got 0)

...

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: BZ986187 -  RHEL7 ipa-replica-install ipa.service failed to start pki-tomcat service
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: File '/var/log/ipareplica-install.log' should not contain 'pki-tomcat.*failed' 
:: [   PASS   ] :: /etc/pki/pki-tomcat/ca/CS.cfg size is 82290. 
:: [   PASS   ] :: BZ986187 not found
Comment 7 Ludek Smid 2014-06-13 05:38:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.